org.apache.fop.fonts.cff

## Class CFFDataReader.FontDict

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable
  - - org.apache.fop.fonts.cff.CFFDataReader.FontDict

- Enclosing class:
    CFFDataReader

      public class CFFDataReader.FontDict
      extends CFFDataReader.CFFSubTable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFFDataReader.FontDict()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFontName()`
    `CFFDataReader.CFFIndexData` | `getLocalSubrData()`
    `byte[]` | `getPrivateDictData()`
    `void` | `setFontName(java.lang.String groupName)`
    `void` | `setLocalSubrData(CFFDataReader.CFFIndexData localSubrData)`
    `void` | `setPrivateDictData(int position, int length)`

    - ### Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable

      `getByteData, setByteData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CFFDataReader.FontDict

          public CFFDataReader.FontDict()

  - ### Method Detail

    - #### setFontName

          public void setFontName(java.lang.String groupName)

    - #### getFontName

          public java.lang.String getFontName()

    - #### setPrivateDictData

          public void setPrivateDictData(int position,
                                int length)

    - #### getPrivateDictData

          public byte[] getPrivateDictData()
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setLocalSubrData

          public void setLocalSubrData(CFFDataReader.CFFIndexData localSubrData)

    - #### getLocalSubrData

          public CFFDataReader.CFFIndexData getLocalSubrData()

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.